Linux kernel puffertúlcsordulásos sérülékenysége

CH azonosító

CH-13843

Angol cím

Linux kernel buffer overflow vulnerability

Felfedezés dátuma

2017.01.10.

Súlyosság

Közepes

Érintett rendszerek

KVM (Kernel-based Virtual Machine)
Kernel
Linux

Érintett verziók

Linux kernel 4.9.3 előtti verziói

Összefoglaló

A Linux kernel közepes kockázati besorolású sérülékenységét jelentették, amely szolgáltatásmegtagadást okozhat.

Leírás

A Linux kernel KVM moduljának – arch/x86/kvm/emulate.c  sérülékenységét kihasználva puffertúlcsordulás érhető el, amely a kernel összeomlásához, ezáltal szolgáltatás-megtagadáshoz vezet.

Megoldás

A hivatalos javítás még nem érhető el.

Hivatkozások

Egyéb referencia: vuldb.com
Egyéb referencia: seclists.org
Egyéb referencia: bugzilla.redhat.com
CVE-2017-2584 - NVD CVE-2017-2584